class Collectable {
    constructor(x, y) {
        this.size = 0.1;
        this.x = x;
        this.y = y;
        this.collected = false;

        this.frameNumber = 0;
        this.maxFrame = 14;
    }

    update(time = 0.02) {
        this.frameNumber++;

        if (this.frameNumber >= this.maxFrame) {
            this.frameNumber = 0;
        }
    }
}

Collectable.texture = new Image();
Collectable.texture.src = "img/collectable.png";
